ubuntu7.04的php与mysql问题的解决

企鹅博客
企鹅博客
企鹅博客
25193
文章
0
评论
2019年10月1日02:50:50 评论 132 views
广告也精彩

  新装了Ubuntu7.04 server, php可以运行,但是似乎php与mysql之间的连接有问题。apt-get install apache2 libapache2-mod-php5 php5 mysql-server

  在运行php文件有关mysql操作的时候出现这个错误

  ezSQL_mysql requires mySQL Lib to be compiled and or linked in to the PHP engine。

  后来发现这个php5-mysql没装,于是又装上php5-mysql,但是似乎没什么作用,郁闷中。

  解决:

  php5 的php.ini默认是 extension_dir="./" , 把它改成mysql.so所在的目录就可以啦。

  ubuntu7.04 的在/usr/lib/php5/20060613+lfs/目录下。真是晕啊,不过还好,找到啦。

企鹅博客
  • 本文由 发表于 2019年10月1日02:50:50
  • 转载请务必保留本文链接:https://www.qieseo.com/131123.html
关于制作U盘安装网众Linux系统 linux服务器应用

关于制作U盘安装网众Linux系统

用U盘作为引导盘能够省去刻录光盘的繁琐事情,而且当您需要对启动文档改变,比如往启动文档initrd.img中加入驱动以识别新硬件的时候,需要经常试验很多次才能成功假如每 次都去刻盘会很麻烦,所以我摸索...

发表评论